Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecFuncValueChangeInfo

    java.lang.Object
      jet.api.SpecFuncInfo
          jet.api.SpecFuncValueChangeInfo

    public class SpecFuncValueChangeInfo

extends SpecFuncInfo

SpecFuncValueChangeInfo class defines a Special Function of Number type. This function groups data within certain range.

Field Summary

Fields inherited from class jet.api.SpecFuncInfo
`DATETIME_INTERVALS, NUM_INTERVALS, STRING_INTERVALS, VALUE_CHANGE`

Constructor Summary
`SpecFuncValueChangeInfo()` Constructs a Special Function definition of Number type.

Method Summary
`boolean` | `getIsIncrease()` Gets whether or not to increase data within the group range.
`int` | `getType()` Gets the Special Function's type.
`void` | `setIsIncrease(boolean isIncrease)` Sets whether or not to increase data within the group range.

Methods inherited from class jet.api.SpecFuncInfo
`getDesc, getInterNum, getOtherName, setDesc, setInterNum, setOtherName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpecFuncValueChangeInfo

    public SpecFuncValueChangeInfo()

  Constructs a Special Function definition of Number type.

Method Detail

### getType

    public int getType()

  Gets the Special Function's type.

  Overrides:
    `getType` in class `SpecFuncInfo`
  Returns:
    `SpecFuncInfo.VALUE_CHANGE`.

### getIsIncrease

    public boolean getIsIncrease()

  Gets whether or not to increase data within the group range.

  Returns:
    `true` if increasing data within the group range; `false` otherwise.

### setIsIncrease

    public void setIsIncrease(boolean isIncrease)

  Sets whether or not to increase data within the group range.

  Parameters:
    ``true`` - if increasing data within the group range; `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD